Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tonbeller.wcf.table
Class TableColumn

    java.lang.Object
      com.tonbeller.wcf.table.TableColumn

public class TableColumn
extends java.lang.Object

describes a TableColumn via the following properties:

- sorting properties (ascending/descending)
- how the values are compared (Comparator) for sorting
- how the values are rendered

Constructor Summary
`TableColumn(int columnIndex)`

Method Summary
`CellRenderer` | `getCellRenderer()`
`int` | `getColumnIndex()` the column index for TableRow.getValue() that this TableColumn that is displayed by this table column.
`java.util.Comparator` | `getComparator()`
`boolean` | `isDescending()`
`boolean` | `isHidden()`
`boolean` | `isSortable()`
`void` | `setCellRenderer(CellRenderer newRenderer)`
`void` | `setComparator(java.util.Comparator newComparator)`
`void` | `setDescending(boolean newDescending)`
`void` | `setHidden(boolean newHidden)`
`void` | `setSortable(boolean newSortable)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TableColumn

    public TableColumn(int columnIndex)

Method Detail

### setDescending

    public void setDescending(boolean newDescending)

### isDescending

    public boolean isDescending()

### setComparator

    public void setComparator(java.util.Comparator newComparator)

### getComparator

    public java.util.Comparator getComparator()

### setCellRenderer

    public void setCellRenderer(CellRenderer newRenderer)

### getCellRenderer

    public CellRenderer getCellRenderer()

### setSortable

    public void setSortable(boolean newSortable)

### isSortable

    public boolean isSortable()

### getColumnIndex

    public int getColumnIndex()

  the column index for TableRow.getValue() that this TableColumn that is displayed by this table column. The following is not true, after the user has swapped columns:

         TableComponent.getTableColumn(index).getColumnIndex() == index

  Returns:

### setHidden

    public void setHidden(boolean newHidden)

### isHidden

    public boolean isHidden()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD